<?xml version="1.0"?>

<!-- This stylesheet does some post-processing on attachments. -->

<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="attachment">
  <!-- Avoid xsl:copy so that any attributes (including xml:base) are lost -->
  <attachment>
    <xsl:attribute name="ispatch">
      <xsl:value-of select="@ispatch"/>
    </xsl:attribute>
    <xsl:attribute name="isobsolete">
      <xsl:value-of select="isobsolete"/>
    </xsl:attribute>
    <xsl:apply-templates/>
  </attachment>
</xsl:template>

<xsl:template match="attachment/isobsolete"/>

<xsl:template match="attachment/desc[normalize-space(.)='']">
  <desc>
    <xsl:value-of select="../filename"/>
  </desc>
</xsl:template>

<xsl:template match="*">
  <xsl:copy>
    <xsl:for-each select="@*">
      <xsl:copy/>
    </xsl:for-each>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
