<?xml version="1.0"?>

<!-- This stylesheet does some post-processing on the bugzilla output. -->

<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sf2bz="http://project.juiblex.co.uk/sf2bz"
		exclude-result-prefixes="sf2bz">

<xsl:template match="//sf2bz:element">
  <xsl:element name="{@name}">
    <xsl:for-each select="sf2bz:copy-from/*/*|sf2bz:copy-from/*/@*|sf2bz:copy-from/*/text()">
      <xsl:copy/>
    </xsl:for-each>
  </xsl:element>
</xsl:template>

<!-- Kill all the xmlns:* and xml:base attributes
     (none of which are relevant any more) -->
<xsl:template match="*">
  <xsl:element name="{name()}">
    <xsl:for-each select="@*">
      <xsl:if test="name(.) != 'xml:base'">
	<xsl:copy/>
      </xsl:if>
    </xsl:for-each>
    <xsl:apply-templates/>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
